summaryrefslogtreecommitdiffstats
path: root/scripts/poky-env-internal
diff options
context:
space:
mode:
authorRichard Purdie <rpurdie@linux.intel.com>2010-03-22 18:11:41 +0000
committerRichard Purdie <rpurdie@linux.intel.com>2010-03-22 18:11:41 +0000
commit90040ce7b5bcba842f3d1eca92a2dc150fd296fd (patch)
tree3211fcabae23477f9244b28d8d1524dac47f00c6 /scripts/poky-env-internal
parent666c753d4bf3d6d1defb4e4326a4264b4625aca0 (diff)
downloadopenembedded-core-contrib-90040ce7b5bcba842f3d1eca92a2dc150fd296fd.tar.gz
Switch to bblayers configuration
Signed-off-by: Richard Purdie <rpurdie@linux.intel.com>
Diffstat (limited to 'scripts/poky-env-internal')
-rwxr-xr-xscripts/poky-env-internal8
1 files changed, 7 insertions, 1 deletions
diff --git a/scripts/poky-env-internal b/scripts/poky-env-internal
index 4bfcf63c59..b931e29323 100755
--- a/scripts/poky-env-internal
+++ b/scripts/poky-env-internal
@@ -93,11 +93,17 @@ fi
if [ "x" = "x$POKYLOCALCONF" ]; then
POKYLOCALCONF="$BUILDDIR/conf/local.conf.sample"
fi
-
if ! (test -r "$BUILDDIR/conf/local.conf"); then
cp -f $POKYLOCALCONF $BUILDDIR/conf/local.conf
fi
+if [ "x" = "x$POKYLAYERCONF" ]; then
+ POKYLAYERCONF="$BUILDDIR/conf/bblayers.conf.sample"
+fi
+if ! (test -r "$BUILDDIR/conf/bblayers.conf"); then
+ cp -f $POKYLAYERCONF $BUILDDIR/conf/bblayers.conf
+fi
+
export BBPATH OEROOT BUILD_SYS BUILDDIR
# Kill off the TERMINFO variable, as glibc will grab its contents in its 'make